Bug 2014882 - Memory and CPU overcommit panels are incorrect in 'Ovirt executive dashboard/cluster dashboard' in Grafana [NEEDINFO]
Summary: Memory and CPU overcommit panels are incorrect in 'Ovirt executive dashboard/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 4.4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.10
: ---
Assignee: Aviv Litman
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-17 16:42 UTC by Abhishekh Patil
Modified: 2022-02-08 10:05 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-dwh-4.4.10
Doc Type: Bug Fix
Doc Text:
Previously, the VM memory/CPU overcommit panels in the Ovirt Executive Dashboard/Cluster Dashboard displayed the average memory for a single hypervisor and the average memory of all virtual machines in a cluster. In this release, the dashboard panels show the correct overcommit rates between all the hosts in the cluster and all the virtual machines in the cluster.
Clone Of:
Environment:
Last Closed: 2022-02-08 10:04:44 UTC
oVirt Team: Metrics
Target Upstream Version:
alitman: needinfo? (emarcus)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-43819 0 None None None 2021-10-17 16:44:43 UTC
Red Hat Knowledge Base (Solution) 6543181 0 None None None 2021-11-28 12:49:38 UTC
Red Hat Product Errata RHBA-2022:0461 0 None None None 2022-02-08 10:05:02 UTC
oVirt gerrit 117295 0 master MERGED Memory and CPU overcommit panels are incorrect in cluster dashboard 2021-12-09 10:54:12 UTC
oVirt gerrit 118126 0 ovirt-engine-dwh-4.4 MERGED Memory and CPU overcommit panels are incorrect in cluster dashboard 2021-12-22 10:59:16 UTC

Comment 5 Eli Marcus 2022-01-20 16:20:34 UTC
Hi Aviv, please review this doc text: 
Previously, the VM memory/CPU overcommit panels in the Ovirt Executive Dashboard/Cluster Dashboard displayed the average memory for a single hypervisor and the average memory of all virtual machines in a cluster.
In this release, the dashboard panels show the correct overcommit rates between all the hosts in the cluster and all the virtual machines in the cluster.

Comment 7 Pavel Novotny 2022-01-26 21:12:53 UTC
Verified in
ovirt-engine-4.4.10.4-0.1.el8ev.noarch
ovirt-engine-dwh-4.4.10-1.el8ev.noarch


The Cluster VM CPU and Memory Overcommit panels (EX03-9 and EX03-10) under oVirt Executive Dashboards/03 Cluster Dashboard
now sum the memory and CPUs of all hosts in the cluster.

Comment 11 errata-xmlrpc 2022-02-08 10:04:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV Manager (ovirt-engine) [ovirt-4.4.10]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0461


Note You need to log in before you can comment on or make changes to this bug.